//
//  BsAllApiName.swift
//  BaiSiSMApp
//
//  Created by davidhuang on 2024/01/04.
//  Copyright © 2024 www.davidhuang.com. All rights reserved.
//


class YHAllApiName {
    //接口 模块名 Common
    struct Common {
        //具体的业务接口
        
        //首页配置接口
        static let homeConfigApi = "common/homepage-config/index"
    }
    
    //order 模块
    struct Order {
        //合同列表
//        static let contractListApi = "frontend/order/list"
        static let contractListApi = "infoflow/order/list"
        
        
        //合同填写进度
//        static let contractStatusApi = "frontend/order/progress"
        static let contractStatusApi = "infoflow/order/progress"
        
        //信息表的填写进度
//        static let informationStepApi = "frontend/order/information/step"
        static let informationStepApi = "infoflow/order/information/step"
        
        //提交订单信息
        static let submitAllInfoApi = "infoflow/order/information/submit"
        
        
        //我的评分结果
        static let scoreDetailApi = "infoflow/orderAssessment/scoreDetail"
        
        
        //获取其他资料填写信息
//        static let otherInfoFillApi = "frontend/order/getOrderOtherInformation"
        static let otherInfoFillApi = "infoflow/order/getOrderOtherInformation"
        //保存其他资料信息
//        static let  updateOtherInfoApi = "frontend/order/updateOrderOtherInformation"
        static let  updateOtherInfoApi = "infoflow/order/updateOrderOtherInformation"
        
    }
    
    struct Family {
        // 获取家庭成员信息 添加家庭成员也用这个
        static let familyInfoApi = "infoflow/information/family"
        // 删除家庭成员信息
        static let deleteFamilyMemberApi = "infoflow/family/delete"
        // 提交家庭成员信息
        static let submitAllFamilyInfoApi = "infoflow/family/submit"
        // 某个家庭成员性情
        static let familyInfoDetailApi = "infoflow/information/member"
    }
    
    struct Education {
        // 获取教育和专业资格列表
        static let getEducationAndQulificationInfoListApi = "infoflow/getEducationList"
        // 获取学历详情信息
        static let getEducationDetailInfoApi = "infoflow/getEducationDetail"
        // 保存学历信息
        static let saveEducationInfoApi = "infoflow/saveEducationData"
        // 删除学历
        static let deleteEducationInfoApi = "infoflow/delEducationData"
        // 保存所有信息
        static let saveAllEduAndQuaInfoApi = "infoflow/submitEducert"
        // 搜索大学名称
        static let searchCollegeNameApi = "infoflow/getSchools"

    }
    
    struct Qualification {
        // 获取学历详情信息
        static let getQualificationDetailInfoApi = "infoflow/getQuaDetail"
        // 删除专业
        static let deleteQualificationInfoApi = "infoflow/delQualification"
        // 保存专业详情
        static let saveQualificationInfoApi =  "infoflow/saveQualification"

    }
    
    //Users
    struct Users {
        //提交 温馨提示信息
//        static let submitSweetNotifyApi = "frontend/users/sweet-notify/submit"
        static let submitSweetNotifyApi = "infoflow/users/sweet-notify/submit"
    }
    
    
    
    //Basics
    struct Basics {
        //获取 基本资料信息
//        static let basicInfoApi = "frontend/basics/get_basics"
        static let basicInfoApi = "infoflow/basics/get_basics"
        
        //保存基本资料信息
//        static let  updateBasicInfoApi = "frontend/basics/update_basics"
        static let  updateBasicInfoApi = "infoflow/basics/update_basics"
    }
    
    struct OrderInformation {
        //主申请人获取信息
        static let getInformation = "infoflow/order-information/get_information"
        // 主申请人信息更新
        static let updateInformation = "infoflow/order-information/update_information"
        // 主申请人国家信息
        static let countryInformation = "infoflow/country"
        // 主申请人中国
        static let cnIdCard = "infoflow/order-information/get_id_card"
        // 主申请人港澳通行证
        static let hkIdCard = "infoflow/order-information/get_hk_macao_pass"
    }
    
    struct WorkExperience {
        //工作经验列表
        static let list = "infoflow/work/list"
        //工作经验详情
        static let detail = "infoflow/work/detail"
        //工作经验保存
        static let save = "infoflow/work/save"
        static let saveAll = "infoflow/work/save-all"
        //公司列表
        static let company = "infoflow/company/search"
        //工作经历删除
        static let del = "infoflow/work/del"
        //工作经历参考模版
        static let example = "infoflow/work/getWorkExampleList"
        static let projectExample = "infoflow/work/getWorkProjectExampleList"
        //工作经验项目保存
        static let saveProject = "infoflow/work/saveWorkProject"
        //工作经验项目列表
        static let projectList = "infoflow/work/getWorkProjectList"
        //工作经验项目列表
        static let projectDetail = "infoflow/work/getWorkProjectDetail"
        //删除工作经验项目
        static let projectDel = "infoflow/work/delWorkProject"
        //识别附件
        static let ocrFileContent = "infoflow/work/getOcrFileContent"
    }
    
    //登录
    struct Auth {
        static let login = "infoflow/auth/login"
    }
    
    //获取验证
    struct User {
        static let verifyCode = "user/verify-code"
    }
    
    //预览相关接口
    struct Preview {
        //其他信息
        static let previewOtherInfoApi = "infoflow/residence/preview"
        //基本资料
        static let previewBasicInfoApi = "infoflow/basics/get_basics"
        //主申请人信息
        static let previewMainApplicationInfoApi = "infoflow/order-information/preview_information"
        //家庭成员信息
        static let previewFamilyInfoApi = "infoflow/information/family"
        //学历/专业资格
        static let previewAcademicAndProfessionalQualificationInfoApi = "infoflow/education/preview"
        //工作经验
        static let previewWorkExpInfoApi = "infoflow/work/preview"
    }
    
    struct OSS {
        static let uploadApi = "oss/upload/storage"
        static let getPublicApi = "oss/storage/convertToPublicURL"
        static let getPublicUrlsApi = "oss/storage/batchConvertToPublicURL"
    }
    
    struct Signature {
        // 签字列表
        static let list = "infoflow/my-sign/list"
        // 签字详情
        static let detail = "infoflow/my-sign/detail"
        // 获取签署url
        static let pageUrl = "infoflow/sign/page-url"
        // 获取实名认证Url
        static let personalUrl = "infoflow/sign/personal-auth"
        // 获取签署状态
        static let callBack = "infoflow/sign/check-is-complete"
    }
}
